summaryrefslogtreecommitdiffstats
path: root/tests/run-dbg-support2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run-dbg-support2')
-rw-r--r--tests/run-dbg-support29
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/run-dbg-support2 b/tests/run-dbg-support2
new file mode 100644
index 0000000..375c32f
--- /dev/null
+++ b/tests/run-dbg-support2
@@ -0,0 +1,9 @@
+
+TEST_NAME='dbg-support2'
+TEST_FILE="/tmp/${TEST_NAME}.check"
+${THIS_SH} ./${TEST_NAME}.tests > $TEST_FILE 2>&1 < /dev/null
+set -f
+diff $TEST_FILE ${TEST_NAME}.right && rm -f $TEST_FILE
+
+# Return code tells testing mechanism whether passed or not.
+exit $?